Loading...
Searching...
No Matches
usbg_gadget Struct Reference

## Public Member Functions

| TAILQ_ENTRY (usbg_gadget) gnode
| TAILQ_HEAD (chead, usbg_config) configs
| TAILQ_HEAD (fhead, usbg_function) functions

## Data Fields

char * | name
char * | path
usbg_state * | parent
config_t * | last_failed_import
usbg_udc * | udc
usbg_config * | os_desc_binding

## Detailed Description

Examples
  gadget-acm-ecm.c, gadget-export.c, gadget-ffs.c, gadget-ms.c, gadget-rndis-os-desc.c, gadget-uvc.c, gadget-vid-pid-remove.c, show-gadgets.c, and show-udcs.c.

The documentation for this struct was generated from the following file:

- include/usbg/usbg_internal.h